<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>Document {{ title }}</title>
</head>

<body data-test="list">
  <h1>{{ title }} list</h1>
  <button onclick="window.location.href='http://localhost:3000/front/units/new';"
    data-test="new-btn">New</button><br><br>
  <style>
    table,
    th,
    td {
      border: 1px solid black;
      border-collapse: collapse;
    }

    th,
    td {
      padding: 15px;
    }

    /* The alert message box */
    .alert {
      padding: 20px;
      background-color: grey;
      color: white;
      margin-bottom: 15px;
    }
  </style>
  {{#if message}}
  <div class="alert" data-test="message">
    {{ message }}
  </div>
  {{/if}}
  <form action="/front/units" method="GET">
    <input placeholder="keyword" type="text" required name="keyword" data-test="keyword" />
    <input type="submit" data-test="search-btn" /><input type="reset" value="Reset"
      onclick="window.location.href='http://localhost:3000/front/units';" data-test="reset-btn">
  </form><br>
  <table style="width:300px;" data-test="table-list">
    <tr>
      <th data-test="id">Id</th>
      <th data-test="code">Code</th>
      <th data-test="label">Label</th>
      <th data-test="photo">Photo</th>
      <th data-test="active">Active</th>
      <th data-test="action">Action</th>
    </tr>
    {{#each data.results}}
    <tr style="height:20px">
      <td>{{this.id}}</td>
      <td>{{this.code}}</td>
      <td>{{this.label}}</td>
      <td>{{this.photo}}</td>
      <td>{{this.active}}</td>
      <td>
        <button onclick="window.location.href='http://localhost:3000/front/units/{{this.id}}';"
          data-test="detail-btn-{{this.id}}">Detail</button><br>
        <button onclick="window.location.href='http://localhost:3000/front/units/{{this.id}}/edit';"
          data-test="form-btn-{{this.id}}">Edit</button>
        <button onclick="window.location.href='http://localhost:3000/front/units/{{this.id}}/delete';"
          data-test="delete-btn-{{this.id}}">Delete</button>
      </td>
    </tr>
    {{/each}}
  </table>
</body>

</html>